[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [libvirt] Mac OS X: dyld: lazy symbol binding failed



On 10/18/2010 05:43 PM, Mitchell Hashimoto wrote:
All,

With a few small patches (to remove documentation generation, thanks
to Justin) to my local git checkout, I was finally able to "make dist"
and test the resulting distribution. The result is that this worked
great on my Mac as well as another Mac I have that was having trouble.
I think this strongly supports the argument that the issue is that the
libvirt build server autotools versions are out of date which is
causing an issue for some reason on Mac. My autotools versions follow,
for reference:

Autoconf: 2.68
Automake: 1.11.1
Libtool: 2.4

For reference, or if anyone has a Mac and wants to try, I've uploaded
my distribution here:
http://mitchellh.github.com/libvirt/libvirt-0.8.4.tar.gz

Is this enough evidence in favor of build tool versions? Would anyone
like me to try anything else?

Daniel, do we want to drill into this further, to analyse what the
older version of autotools on the libvirt.org build server is doing...?

Thinking that it might (unsure) "just be easier" to upgrade the
autotools version on the server?

:)

Regards and best wishes,

Justin Clift


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]